KILLALL5(8)

NOM
killall5 - envoyer un signal à tous les processus

SYNOPSIS
killall5 -signalnumber [-o omitpid[,omitpid...]] [-o omitpid[,omitpid...]...]

DESCRIPTION
killall5 correspond à la commande killall de Système V. Elle envoie un signal à tous les processus, sauf les threads du noyau et les processus de sa propre session. Il ne tuera donc pas l'interpréteur de commande qui l'a lancé. Son utilisation principale (unique) est dans les scripts rc situés dans le répertoire /etc/init.d.

OPTIONS

-o sauf_pid
    Indiquer à killall5 d'ignorer le processus avec cet identifiant.

NOTES
killall5 peut aussi être appelé avec pidof(8), qui n'est qu'un lien (symbolique) pour le programme killall5.

CODE DE RETOUR
Le programme renvoie zéro s'il a tué les processus. Il renvoie 2 si aucun processus n'a été tué et 1 s'il n'a pas réussi à trouver de processus (/proc/ est absent).

VOIR AUSSI
halt(8), reboot(8), pidof(8)

AUTEUR
Miquel van Smoorenburg (miquels@cistron.nl)